<script>
//import store from "./store/auth.js";
import { mapGetters } from "vuex";
import LoadingAnimation from "./components/atoms/LoadingAnimation.vue";

export default {
  components: { LoadingAnimation },
  created() {},
  computed: {
    ...mapGetters({ loading: "general/isLoading" }),
  },
};
</script>

<template>
  <main>
    <router-view />
  </main>
  <div class="loading-screen" v-show="loading">
    <LoadingAnimation></LoadingAnimation>
  </div>
</template>

<style lang="scss">
@import "./assets/base.css";
.loading-screen {
  display: flex;
  justify-content: center;
  align-items: center;

  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;

  background-color: rgba(255, 255, 255, 0.699);
}
</style>
